arm64: KASLR breaks MODVERSIONS

Bug #1633629 reported by dann frazier on 2016-10-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Adam Conrad
Yakkety
Undecided
Adam Conrad

Bug Description

[Impact]
On certain arm64 platforms, modules will not load. This doesn't impact any certified hardware to date, but is known to impact some pre-release platforms, as well as QEMU when a virtio-rng-pci device is attached.

[Test Case]
On a xenial/arm64 host, run:

sudo apt install qemu-system-arm qemu-efi
wget http://ports.ubuntu.com/ubuntu-ports/dists/yakkety/main/installer-arm64/20101020ubuntu483/images/netboot/mini.iso
cp /usr/share/AAVMF/AAVMF_CODE.fd flash0.img
cp /usr/share/AAVMF/AAVMF_VARS.fd flash1.img
sudo qemu-system-aarch64 -enable-kvm -m 2048 -cpu host -M virt,gic_version=host -nographic -pflash flash0.img -pflash flash1.img -drive file=mini.iso,id=cdrom,if=none,media=cdrom -device virtio-scsi-device -device scsi-cd,drive=cdrom -device virtio-rng-pci

Select Install from the GRUB menu, and continue through the installer menus to "Detect network hardware".

On failure, the installer will report 'Error while running "modprobe -v -b usb-storage"'. On success, it'll continue through to the network configuration screens.

[Regression Risk]
This will be a simple cherry pick from upstream, so we'll have upstream support w/ any regressions.

dann frazier (dannf) on 2016-10-20
Changed in linux (Ubuntu Yakkety):
status: New → In Progress
importance: Undecided → High
assignee: nobody → dann frazier (dannf)

I was able to replicate this failure on an ARMv8 (aarch64) xenial system, using the supplied instructions for QEMU and getting the modprobe error.

dann frazier (dannf) on 2016-11-17
no longer affects: debian-installer (Ubuntu)
no longer affects: debian-installer (Ubuntu Yakkety)
dann frazier (dannf) wrote :

Repurposing this bug for a yakkety d-i refresh.

no longer affects: linux (Ubuntu Yakkety)
no longer affects: linux (Ubuntu)
Adam Conrad (adconrad) wrote :
Changed in debian-installer (Ubuntu Yakkety):
assignee: nobody → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu489

---------------
debian-installer (20101020ubuntu489) zesty; urgency=medium

  * Move master kernels to 4.8.0-30 (LP: #1633629)

 -- Adam Conrad <email address hidden> Tue, 06 Dec 2016 04:04:01 -0700

Changed in debian-installer (Ubuntu):
status: New → Fix Released

Hello dann, or anyone else affected,

Accepted debian-installer into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu483.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed
dann frazier (dannf) on 2016-12-06
tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

dann - we'd appreciate some additional information regarding your verification, just flipping the tag from v-needed to v-done is frowned upon.

dann frazier (dannf) wrote :

Brian, I complete an install with the new installer in QEMU, booted as described in [Test Case]. I set apt-setup/proposed=true on the cmdline, for the install, though I don't think that was necessary in this case. The install completed w/o error, and rebooted to a prompt.

Robie Basak (racb) wrote :

10:41 <rbasak> infinity, dannf: for bug 1633629, shouldn't we be doing some testing of other architectures to make sure that we aren't regressing something?

On Wed, Dec 14, 2016 at 11:41 AM, Robie Basak
<email address hidden> wrote:
> 10:41 <rbasak> infinity, dannf: for bug 1633629, shouldn't we be doing
> some testing of other architectures to make sure that we aren't
> regressing something?

Robie,
 Well, it's certainly hard to argue for *less* testing though - a test
on the most popular architecture seems reasonable. I went ahead and
tested a d-i mini.iso install from proposed on an amd64 VM via
virt-manager and observed no regressions. Note that the GA d-i remains
available/usable after updates, so any regressions on other
architectures will have that as a fallback option.

  -dann

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu483.1

---------------
debian-installer (20101020ubuntu483.1) yakkety; urgency=medium

  * Move master kernels to 4.8.0-30 (LP: #1633629)

 -- Adam Conrad <email address hidden> Tue, 06 Dec 2016 04:01:34 -0700

Changed in debian-installer (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers